#
# spec file for package progress
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           progress
Version:        0.13.1
Release:        lp150.2.1
Summary:        Coreutils Viewer
License:        GPL-3.0+
Group:          System/Console
Url:            https://github.com/Xfennec/progress
Source0:        https://github.com/Xfennec/progress/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
Provides:       cv = %{version}
Obsoletes:      cv < %{version}

%description
This tool can be described as a Tiny Dirty Linux Only* C command that looks for coreutils basic
commands (cp, mv, dd, tar, gzip/gunzip, cat, ...) currently running on your system and displays
the percentage of copied data.

It can now also display an estimated throughput (using -w flag).

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="-g -Wall -D_FILE_OFFSET_BITS=64 %{optflags}"

%install
%make_install PREFIX=%{_prefix}

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Wed Feb  7 2018 avindra@opensuse.org
- simplify a bit with macros
* Sat Oct 28 2017 aavindraa@gmail.com
- Rename from "cv" to "progress"
- Update to 0.13.1
  * For changes, see https://github.com/Xfennec/progress/compare/v0.7.1...v0.13.1
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Fri Jun 26 2015 bugs@vdm-design.de
- Update to version 0.7.1
  * Updated Mac OSX support
* Fri Dec 26 2014 bugs@vdm-design.de
- Update to version 0.6
  * Add support for xz, md5sum, sha1sum, sha256sum, sha224sum,
    sha384sum, sha512sum
  * Added -p support for PID monitoring
* Fri Sep 12 2014 bugs@vdm-design.de
- Update to version 0.5.1
  * cv is now less verbose
- Remove seperate manpage, as it was accepted upstream and is now
  distributet in the source archive.
* Sat Aug 16 2014 bugs@vdm-design.de
- Add LICENSE and README.md to %%doc
* Fri Aug 15 2014 cdenicolo@suse.com
- license update: GPL-3.0+
  or later in GPL-3.0 was missing.
* Thu Aug  7 2014 bugs@vdm-design.de
- Initial packaging of cv version 0.4.1
